Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageLink

Enclosing class:
  TdApi

public static final class TdApi.MessageLink extends TdApi.Object
Contains an HTTPS link to a message in a supergroup or channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPublic`
True, if the link will work for non-members of the chat.
`String`
`link`
Message link.

## Constructor Summary

Constructors
Constructor
Description
`MessageLink()`
Contains an HTTPS link to a message in a supergroup or channel.
`MessageLink(DataInput input)`
Contains an HTTPS link to a message in a supergroup or channel.
`MessageLink(String link, boolean isPublic)`
Contains an HTTPS link to a message in a supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### link

public String link
Message link.

### isPublic

public boolean isPublic
True, if the link will work for non-members of the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageLink

public MessageLink()
Contains an HTTPS link to a message in a supergroup or channel.

### MessageLink

public MessageLink(String link, boolean isPublic)
Contains an HTTPS link to a message in a supergroup or channel.

Parameters:
  `link` - String Message link.
  `isPublic` - boolean True, if the link will work for non-members of the chat.

### MessageLink

public MessageLink(DataInput input) throws IOException
Contains an HTTPS link to a message in a supergroup or channel.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`